Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class Metadata.FinalReference

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.SoftReference
              griffon.util.Metadata.FinalReference

    static class Metadata.FinalReference
    extends SoftReference

Field Summary
`private Object` | `ref`

Constructor Summary
`Metadata.FinalReference(Object t)`

Method Summary
`Object` | `get()`

Methods inherited from class SoftReference
get, clear, isEnqueued, enqueue, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Reference
get, clear, isEnqueued, enqueue, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ref

    private Object ref

Constructor Detail

### Metadata.FinalReference

    public Metadata.FinalReference(Object t)

Method Detail

### get

    @Override
    public Object get()

Groovy Documentation